Skip to content

Create an activity

POST
/activity
curl --request POST \
--url https://apisandbox.puurk.com/activity \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "id": "example", "oid": "example", "eid": "example", "client_id": "example", "location_id": "example", "type": "offer_accepted", "category": "offer", "reference_id": "example", "timestamp": "2026-04-15T12:00:00Z", "uid": "example", "title": "example", "description": "example", "metadata": {}, "related_uids": [ "example" ] }'

Record a new activity event

Request body

Media typeapplication/json
object
id
string
oid

Organization ID

string
eid

Employee/entity ID

string
client_id

Client (lead) ID

string
location_id
string
type

Type of activity notification

string
Allowed values: offer_accepted offer_declined offer_paid_in_full offer_shared offer_viewed contract_signed contract_fulfilled contract_cancelled payment_succeeded payment_declined payment_refunded payment_returned payment_reminder payout_initiated
category
string
Allowed values: offer contract payment payout
reference_id

ID of the referenced entity (offer, contract, payment, etc.)

string
timestamp
string format: date-time
uid
string
title
string
description
string
metadata
object
key
additional properties
any
related_uids
Array<string>

Activity created

Media typeapplication/json
object
id
string
oid

Organization ID

string
eid

Employee/entity ID

string
client_id

Client (lead) ID

string
location_id
string
type

Type of activity notification

string
Allowed values: offer_accepted offer_declined offer_paid_in_full offer_shared offer_viewed contract_signed contract_fulfilled contract_cancelled payment_succeeded payment_declined payment_refunded payment_returned payment_reminder payout_initiated
category
string
Allowed values: offer contract payment payout
reference_id

ID of the referenced entity (offer, contract, payment, etc.)

string
timestamp
string format: date-time
uid
string
title
string
description
string
metadata
object
key
additional properties
any
related_uids
Array<string>
Example
{
"type": "offer_accepted",
"category": "offer"
}

Invalid input

Unauthorized